Search Gradle plugins

Version 0.11.0 (latest)

Created 08 July 2020.

This plugin provides easy to use JNI support for gradle.

Using the plugins DSL:

plugins {
  id "edu.wpi.first.GradleJni" version "0.11.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "edu.wpi.first:gradle-jni:0.11.0"
  }
}

apply plugin: "edu.wpi.first.GradleJni"

Using the plugins DSL:

plugins {
  id("edu.wpi.first.GradleJni") version "0.11.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("edu.wpi.first:gradle-jni:0.11.0")
  }
}

apply(plugin = "edu.wpi.first.GradleJni")

Learn how to apply plugins to subprojects